Yep, it’s rs.VectorCreate(), not rs.CreateVector()…
Ah, no, they’re both there… : But they do different things. Both seem to be working here.
import rhinoscriptsyntax as rs
v1=rs.CreateVector(1,0,0)
pt1=rs.coerce3dpoint([0,0,0])
pt2=rs.coerce3dpoint([1,0,0])
v2=rs.VectorCreate(pt2,pt1)
Both V1 and V2 make a vector 1,0,0 here - I don’t know why you are getting that message. What version of Rhino are you running?
Another way to create a vector is to simply subtract two 3d points “To” - “From”
And another way to do it with just numbers is to use rs.coerce3dvector([x,y,z])
Strange… Could me using R5 have anything to do with it?
Anyway I used your imput to skip the vector creation and jump straight to the point creation which I tried to pull from here and which didn´t work either . Now I finally got to the last problem that appeared now and that is the rs.OrientObjects part. For some reason only singular form rs.OrientObject works. Do I have to loop all the objects throug that? Why isn´t the plural form working?